//
//  ofxASIHTTP.cpp
//  artpartb001
//
//  Created by werk on 12-01-13.
//
//

#include "ofxASIHTTP.h"

//--------------------------------------------------------------

string ofxNSStringToString(NSString * s) {
	return string([s UTF8String]);
}

//--------------------------------------------------------------

NSString * ofxStringToNSString(string s)
{
	return [[[NSString alloc] initWithCString: s.c_str()] autorelease];
}

//--------------------------------------------------------------
void ofxASIHttp::urlRequest(string url){
    NSURL *t_url = [NSURL URLWithString: ofxStringToNSString(url)];
    request = [ASIFormDataRequest requestWithURL:t_url];
}

//--------------------------------------------------------------

void ofxASIHttp::addRequestHeader(string header, string value){
    NSString *NSHeader = ofxStringToNSString(header);
    NSString *NSValue = ofxStringToNSString(value);
    
    [request addRequestHeader:NSHeader value: NSValue];
    
    
}

void ofxASIHttp::addQuery(string query)
{
[request setPostValue:ofxStringToNSString(query) forKey:@"query"];
}

//--------------------------------------------------------------

string ofxASIHttp::get(string url){
 
    NSString *response = @"";
    [request setRequestMethod:@"GET"];
    // Start the request
    [request startSynchronous];
    NSError *error = [request error];
    
    if (!error) {
        response = [request responseString];
    } else{
        NSLog(@"Error: %@", error);
    }
    return ofxNSStringToString(response);
    
}

//--------------------------------------------------------------

string ofxASIHttp::post(string url){
    NSURL *t_url = [NSURL URLWithString: ofxStringToNSString(url)];
    request = [ASIFormDataRequest requestWithURL:t_url];
    NSString *response = @"";
    [request setRequestMethod:@""];
    // Start the request
    [request startSynchronous];
    NSError *error = [request error];
    
    if (!error) {
        response = [request responseString];
    } else{
        NSLog(@"Error: %@", error);
    }
    return ofxNSStringToString(response);
    
}


